{--------------------------------------------------------}
{                                                        }
{    Grafivox - gerador de grficos para cegos           }
{                                                        }
{    Mdulo principal                                    }
{                                                        }
{    Autores: Antonio Borges, Patrick Barbosa            }
{             e Jos Alberto Bonapace                    }
{                                                        }
{    Em agosto/2018                                      }
{                                                        }
{--------------------------------------------------------}

unit gfDados;

interface
uses
    dvcrt, dvwin, gfVars, sysUtils;

var arq: textFile;

procedure carregaDados (nomeArq: string);

implementation

procedure carregaDados (nomeArq: string);
var s, s1, s2: string;
    p: integer;
begin
    numDados := 0;
    if not fileExists (nomeArq) then
        begin
            sintWriteln ('Arquivo no existe: ' + nomeArq);
            exit;
        end;

    assignFile (arq, nomeArq);
    reset (arq);
    while not eof (arq) do
        begin
            readln (arq, s);
            s := trim(s);
            if (s = '') or (s[1] = ';') or (s[1] = '*') then
               continue;

            p := pos (' ', s);
            s1 := trim (copy (s, 1, p-1));
            s2 := trim (copy (s, p, 999));

            // futuro: garantir que nmero esteja bem formado
            try
                dadosx[numDados] := strToFloat (s1);
                dadosy[numDados] := strToFloat (s2);
            except
                sintBip; sintBip;
                sintWriteln ('Erro no dado: ' + s1 + ' ' + s2);
            end;
            numDados := numDados + 1;
        end;
    closeFile (arq);

end;

end.
